data:extend({

  { type = "technology", name = "basic-metals",
	icon = "__CartmenIndustries__/graphics/icons/ores/basic-metal.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="iron-ore-processing"},
	  {type="unlock-recipe",recipe="copper-ore-processing"},
	  {type="unlock-recipe",recipe="coal-processing"},
	  {type="unlock-recipe",recipe="mineral-separator"},
	  {type="unlock-recipe",recipe="burner-mining-drill-2"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone",2}},
	  time = 5
	}
  },
  { type = "technology", name = "tin-lead",
	prerequisites = {"basic-metals"},
	icon = "__CartmenIndustries__/graphics/icons/ores/tin-lead.png",
	effects =
	{
	  {type="unlock-recipe",recipe="tin-ore-processing"},
	  {type="unlock-recipe",recipe="lead-ore-processing"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone", 1},{"iron-ore",1},{"copper-ore",1}},
	  time = 10
	}
  },
  { type = "technology", name = "precious-metals",
	prerequisites = {"tin-lead"},
	icon = "__CartmenIndustries__/graphics/icons/ores/precious-metal.png",
	effects =
	{
	  {type="unlock-recipe",recipe="gold-ore-processing"},
	  {type="unlock-recipe",recipe="silver-ore-processing"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone", 1},{"iron-ore",1},{"copper-ore",1},{"lead-ore",1},{"tin-ore",1}},
	  time = 15
	}
  },
  { type = "technology", name = "nickel-zinc",
	prerequisites = {"tin-lead"},
	icon = "__CartmenIndustries__/graphics/icons/ores/nickel-zinc.png",
	effects =
	{
	  {type="unlock-recipe",recipe="nickel-ore-processing"},
	  --{type="unlock-recipe",recipe="zinc-ore-processing"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone", 1},{"iron-ore",1},{"copper-ore",1},{"lead-ore",1},{"tin-ore",1}},
	  time = 15
	}
  },
  
  { type = "technology", name = "basic-metal-casting",
	prerequisites = {"basic-metals"},
	icon = "__CartmenIndustries__/graphics/icons/fluids/liquid-iron.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="iron-smelting"},
	  {type="unlock-recipe",recipe="copper-smelting"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone",1},{"iron-ore",1},{"copper-ore",1}},
	  time = 10
	}
  },
  { type = "technology", name = "tin-lead-smelting",
	prerequisites = {"tin-lead"},
	icon = "__CartmenIndustries__/graphics/icons/tin-lead-plate.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="tin-smelting"},
	  {type="unlock-recipe",recipe="lead-smelting"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone",1},{"tin-ore",1},{"lead-ore",1}},
	  time = 15
	}
  },
  
  { type = "technology", name = "ore-crushing",
	prerequisites = {"basic-metal-casting"},
	icon = "__CartmenIndustries__/graphics/icons/ores/crushed-copper-ore.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="mill"},
	  {type="unlock-recipe",recipe="iron-crushing"},
	  {type="unlock-recipe",recipe="copper-crushing"},
	  {type="unlock-recipe",recipe="burner-mining-drill"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone",3},{"iron-ore",1},{"copper-ore",1}},
	  time = 10
	}
  },  
  { type = "technology", name = "ore-crushing-2",
	prerequisites = {"ore-crushing","tin-lead-smelting"},
	icon = "__CartmenIndustries__/graphics/icons/ores/crushed-lead-ore.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="tin-crushing"},
	  {type="unlock-recipe",recipe="lead-crushing"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone",3},{"tin-ore",1},{"lead-ore",1}},
	  time = 15
	}
  },
  
  { type = "technology", name = "iron-casting",
	prerequisites = {"ore-crushing"},
	icon = "__base__/graphics/icons/iron-plate.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="iron-casting"},
	  {type="unlock-recipe",recipe="small-blast-furnace"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone",1},{"iron-ore",2}},
	  time = 10
	}
  },
  { type = "technology", name = "iron-casting-2",
	prerequisites = {"iron-casting"},
	icon = "__CartmenIndustries__/graphics/icons/fluids/liquid-iron.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="iron-casting-2"},
	  {type="unlock-recipe",recipe="storage-tank"},
	  {type="unlock-recipe",recipe="casting-facility"},
	  {type="unlock-recipe",recipe="cast-iron-gear-wheel"},
	  {type="unlock-recipe",recipe="cast-pipe"}
	},
	unit =
	{
	  count = 15,
	  ingredients = {{"stone",2},{"iron-ore",3}},
	  time = 20
	}
  },
  
  { type = "technology", name = "copper-casting",
	prerequisites = {"ore-crushing"},
	icon = "__base__/graphics/icons/copper-plate.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="copper-casting"},
	  {type="unlock-recipe",recipe="small-blast-furnace"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"stone",1},{"copper-ore",2}},
	  time = 10
	}
  },
  { type = "technology", name = "copper-flotation",
	prerequisites = {"ore-crushing-2","fluid-handling"},
	icon = "__base__/graphics/icons/storage-tank.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="flotation-cell"},
	  {type="unlock-recipe",recipe="copper-flotation"}
	},
	unit =
	{
	  count = 20,
	  ingredients = {{"copper-ore",3},{"science-pack-1",2}},
	  time = 20
	}
  },
  { type = "technology", name = "copper-smelting",
	prerequisites = {"copper-flotation"},
	icon = "__CartmenIndustries__/graphics/icons/fluids/copper-matte.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="copper-smelting-2"},
	  {type="unlock-recipe",recipe="copper-smelting-3"},
	  {type="unlock-recipe",recipe="copper-casting-2"}
	},
	unit =
	{
	  count = 25,
	  ingredients = {{"science-pack-1",2},{"science-pack-2",1},{"copper-ore",2}},
	  time = 20
	}
  },
  { type = "technology", name = "copper-refining",
	prerequisites = {"copper-smelting"},
	icon = "__CartmenIndustries__/graphics/icons/copper-anode.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="copper-refining"},
	  {type="unlock-recipe",recipe="copper-electro-refining"},
	  {type="unlock-recipe",recipe="copper-cable-2"}
	},
	unit =
	{
	  count = 25,
	  ingredients = {{"science-pack-1",2},{"science-pack-2",2},{"copper-ore",2}},
	  time = 30
	}
  },
  
  
  { type = "technology", name = "tin-flotation",
	prerequisites = {"copper-flotation"},
	icon = "__base__/graphics/icons/storage-tank.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="tin-flotation"}
	},
	unit =
	{
	  count = 20,
	  ingredients = {{"tin-ore",3},{"science-pack-1",2}},
	  time = 20
	}
  },
  { type = "technology", name = "tin-casting",
	prerequisites = {"tin-flotation"},
	icon = "__CartmenIndustries__/graphics/icons/fluids/liquid-tin.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="tin-boiling"},
	  {type="unlock-recipe",recipe="tin-electro-refining"}
	},
	unit =
	{
	  count = 25,
	  ingredients = {{"tin-ore",2},{"science-pack-1",2},{"science-pack-2",1}},
	  time = 20
	}
  },
  
  { type = "technology", name = "lead-flotation",
	prerequisites = {"copper-flotation","advanced-material-processing"},
	icon = "__base__/graphics/icons/storage-tank.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="lead-flotation"},
	  {type="unlock-recipe",recipe="lead-roasting"}
	},
	unit =
	{
	  count = 20,
	  ingredients = {{"lead-ore",3},{"science-pack-1",2}},
	  time = 20
	}
  },
  { type = "technology", name = "lead-casting",
	prerequisites = {"lead-flotation"},
	icon = "__CartmenIndustries__/graphics/icons/fluids/liquid-lead.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="lead-smelting-2"},
	  {type="unlock-recipe",recipe="lead-casting"}
	},
	unit =
	{
	  count = 25,
	  ingredients = {{"lead-ore",2},{"science-pack-1",2},{"science-pack-2",1}},
	  time = 20
	}
  },
  
  { type = "technology", name = "steel-casting",
	prerequisites = {"steel-processing","iron-casting-2","nickel-zinc"},
	icon = "__base__/graphics/icons/steel-plate.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="steel-processing-2"},
	  {type="unlock-recipe",recipe="steel-casting"},
	  {type="unlock-recipe",recipe="cast-steel-gear-wheel"}	   
	},
	unit =
	{
	  count = 20,
	  ingredients = {{"iron-ore",2},{"science-pack-1",2},{"science-pack-2",2}},
	  time = 30
	}
  },
  
  { type = "technology", name = "crude-electronics",
	prerequisites = {"tin-lead-smelting"},
	icon = "__CartmenIndustries__/graphics/icons/crude-circuit.png",
	effects = 
	{
	  {type="unlock-recipe",recipe="crude-circuit"},
	  {type="unlock-recipe",recipe="crude-solder"},
	  {type="unlock-recipe",recipe="crude-transistor"},
	  {type="unlock-recipe",recipe="crude-circuit-board"},
	  {type="unlock-recipe",recipe="simple-machine-part"},
	  {type="unlock-recipe",recipe="burner-mining-drill-3"}
	},
	unit =
	{
	  count = 10,
	  ingredients = {{"lead-ore",1},{"tin-ore",1},{"iron-ore",1},{"copper-ore",1}},
	  time = 15
	}
  },

  })